Index: contrib/qemu/build-from-scratch.sh
===================================================================
--- contrib/qemu/build-from-scratch.sh	(revision aace43d8c96f05f67da6df75dd07185547da51cb)
+++ contrib/qemu/build-from-scratch.sh	(revision 4ad76fadacf48c6112c27e9585082d927c1dd906)
@@ -42,4 +42,5 @@
 ARCHIVE_PREFIX="./S10image"
 BINARIES="1up-hv.bin 1up-md.bin nvram1 openboot.bin q.bin reset.bin"
+INSTALL_PREFIX="$HOME/.local"
 
 echo "==== Downloading OpenSPARC archive ===="
@@ -77,6 +78,6 @@
 echo "==== Installing OpenSPARC binaries ===="
 
-sudo install -d /usr/local/opensparc/image
-sudo install -m 0444 binaries/* /usr/local/opensparc/image
+install -d "$INSTALL_PREFIX/opensparc/image"
+install -m 0444 binaries/* "$INSTALL_PREFIX/opensparc/image"
 
 echo "==== Obtaining QEMU sources ===="
@@ -94,5 +95,5 @@
 	fi
 
-	gpg --verify ${TARBALL}.sig ${TARBALL}
+	gpg --auto-key-retrieve --verify ${TARBALL}.sig ${TARBALL}
 	if [ $? -ne 0 ]; then
 		echo Unable to verify the signature
@@ -100,5 +101,6 @@
 	fi
 
-	tar xvfj ${TARBALL}
+	echo "==== Decompressing QEMU sources ===="
+	tar xfj ${TARBALL}
 	cd ${SOURCEDIR}
 fi
@@ -106,12 +108,11 @@
 echo "==== Configuring QEMU ===="
 
-./configure --target-list=i386-softmmu,x86_64-softmmu,arm-softmmu,aarch64-softmmu,ppc-softmmu,sparc64-softmmu,mips-softmmu,mipsel-softmmu --audio-drv-list=pa
+./configure --target-list=i386-softmmu,x86_64-softmmu,arm-softmmu,aarch64-softmmu,ppc-softmmu,sparc64-softmmu,mips-softmmu,mipsel-softmmu --enable-gtk --enable-vte --enable-kvm --enable-curses --enable-opengl --enable-pa --audio-drv-list=pa --prefix="$INSTALL_PREFIX" || exit 1
 
 echo "==== Building QEMU ===="
 
-make -j 4
+make -j`nproc` || exit 1
 
 echo "==== Installing QEMU ===="
 
-sudo make install
-
+make install
